QGIS Application - Bug report #18796

PNG8 image encoding radio button for WMS is duplicated

2018-04-24 03:37 AM - lan Harrison

Status: Closed

Priority: Low

Assignee: Even Rouault

Category: Web Services clients/WMS

Affected QGIS version:3.1(master)
Operating System: Windows 7
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: Yes
Resolution:

Copied to github as #: 26683

Description

PNG8 image encoding radio button for WMS is duplicated.

There are two PNG8 radio buttons side by side in the add WMS dialog box.

See attached screen shot.

Associated revisions

Revision ce72bde3 - 2018-05-23 08:51 PM - Even Rouault

[WMS provider] Avoid duplicate format selection radio buttons (fixes #18796)

History

#1 - 2018-04-24 06:46 AM - Nyall Dawson
- Status changed from Open to Feedback

Can you share the wms url used?

#2 - 2018-04-29 10:39 PM - lan Harrison
- Status changed from Feedback to Open

Yes it's: https://data.linz.govt.nz/services;key=AP|_KEY/wms/layer-50767 ?service=WMS&#38;version=1.1.1&#38;request=GetCapabilities

Sorry | can't share my api key. You'll have to login to https://data.linz.govt.nz/ and create one if haven't already.

#3 - 2018-05-22 11:32 PM - Even Rouault
- Assignee set to Even Rouault

#4 - 2018-05-23 08:51 PM - Even Rouault
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|ce72bde32a5f5985e45eec9f71b33d2992ea0484.
